Model API'si

Kling O1 Standard

Kling O1 First Frame Last Frame to Video [Standard] ile video üret ve düzenle.

Model kimliği

Her istekte bunu kullan
kling-video/o1/standard/video-to-video/reference

Bu modelin kendi kimliği olan başka modları da var: kling-video/o1/standard/image-to-video, kling-video/o1/standard/reference-to-video.

Çalıştır

Girdiye ücret teklifi al, bu teklifle üretimi başlat, ardından işin durumunu sorgula. Önce RAYWAKE_API_KEY değişkenini ayarla; ayrıntılar için Kimlik doğrulama sayfasına bak.

# 1. Price the exact input (quotes are valid for up to 10 minutes)
curl -s https://api.raywake.com/v1/quotes \
  -H "Authorization: Bearer $RAYWAKE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "kling-video/o1/standard/video-to-video/reference",
  "input": {
    "prompt": "A red ceramic cup on a wooden table, soft morning light",
    "video_url": "https://example.com/input.mp4"
  }
}'

# 2. Start the generation with the quote_id from step 1
curl -s https://api.raywake.com/v1/generate \
  -H "Authorization: Bearer $RAYWAKE_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{"model": "kling-video/o1/standard/video-to-video/reference", "quote_id": "QUOTE_ID", "input": {"prompt":"A red ceramic cup on a wooden table, soft morning light","video_url":"https://example.com/input.mp4"}}'

# 3. Poll until the status is terminal
curl -s https://api.raywake.com/v1/jobs/JOB_ID \
  -H "Authorization: Bearer $RAYWAKE_API_KEY"

Girdi

kling-video/o1/standard/video-to-video/reference girdi alanları
AlanTürAçıklama
promptzorunlustring
Use @Element1, @Element2 to reference elements and @Image1, @Image2 to reference images in order.
video_urlzorunlustring (URL)
Reference video URL. Only .mp4/.mov formats supported, 3-10 seconds duration, 720-2160px resolution, max 200MB. Max file size: 200.0MB, Min width: 720px, Min height: 720px, Max width: 2160px, Max height: 2160px, Min duration: 3.0s, Max duration: 10.05s, Min FPS: 24.0, Max FPS: 60.0, Timeout: 30.0s
keep_audioboolean
Whether to keep the original audio from the video.

Varsayılan: false

image_urlsarray of image URLs
Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video.
elementsarray of objects
Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2, etc. Maximum 4 total (elements + reference images) when using video.
aspect_ratiostring (enum)
The aspect ratio of the generated video frame. If 'auto', the aspect ratio will be determined automatically based on the input video, and the closest aspect ratio to the input video will be used.

Varsayılan: auto

Seçenekler: auto, 16:9, 9:16, 1:1

durationstring (enum)
Video duration in seconds.

Varsayılan: 5

Seçenekler: 3, 4, 5, 6, 7, 8, 9, 10

Çıktı

Başarılı bir iş, sonuçlarını outputs altında listeler; dosyalar bizim tarafımızda saklanır. Tüm alanlar için İşler sayfasına bak.

İş yanıtından bir bölüm
"outputs": [
  { "type": "video", "url": "https://…", "mime_type": "video/mp4", "thumbnail_url": "https://…" }
]

Fiyatlandırma

  • saniye başına$0,1997/ saniye

Girdinin kesin ücreti ücret teklifinden gelir. Bakiye nasıl kesinleşir?